diff a/src/hotspot/share/c1/c1_Runtime1.hpp b/src/hotspot/share/c1/c1_Runtime1.hpp
--- a/src/hotspot/share/c1/c1_Runtime1.hpp
+++ b/src/hotspot/share/c1/c1_Runtime1.hpp
@@ -191,9 +191,12 @@
 
   static void predicate_failed_trap(JavaThread* current);
 
   static void check_abort_on_vm_exception(oopDesc* ex);
 
-  static void print_statistics()                 PRODUCT_RETURN;
+  static void print_statistics_on(outputStream* st) PRODUCT_RETURN;
+
+  static void init_counters();
+  static void print_counters_on(outputStream* st);
 };
 
 #endif // SHARE_C1_C1_RUNTIME1_HPP
